Subject: RE: [Ghdl-discuss] GHDL-0.27 for Cygwin
From: "Jason Pyeron" <[email-masked]>
To: "'GHDL discuss list'" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 5 Aug 2008 17:27:59 -0400
List-Id: <cygwin.cygwin.com>

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of David G. Koontz
> Sent: Tuesday, August 05, 2008 10:11 AM
> To: GHDL discuss list
> Subject: Re: [Ghdl-discuss] GHDL-0.27 for Cygwin
> 
> Jason Pyeron wrote:
> >>> -----Original Message-----
> >>> From: [email-masked]
> >>> [mailto:[email-masked]] On Behalf Of Dirk Barthel
> >>> Sent: Monday, August 04, 2008 12:52 PM
> >>> To: GHDL discuss list
> >>> Subject: [Ghdl-discuss] GHDL-0.27 for Cygwin
> >>>
> >>> Hello,
> >>>
> >>> I am trying to build ghdl-0.27 for cygwin. I did it for
> >>> ghdl-0.26 without any problems. Here is the procedure I used for
> >>> ghdl-0.26:
> >>> http://home.comcast.net/~bp_labs/software/ghdl/index.htm
> >>>
> >>> I am having trouble building gcc-4.2.4 for the ghdl-0.27 build.
> >>> I am using the following steps for ghdl-0.27:
> >>> wget 
> ftp://ftp.gnu.org/pub/gnu/gcc/gcc-4.2.4/gcc-core-4.2.4.tar.bz2
> >>> wget ftp://ftp.gnu.org/pub/gnu/gcc/gcc-4.2.4/gcc-ada-4.2.4.tar.bz2
> >>> mkdir gcc-4.2.4-build
> >>> cd gcc-4.2.4-build
> >>> ../gcc-4.2.4/configure -prefix=/usr/local/gcc-4.2.4 
> >>> -enable-languages=c,ada >& configure.txt make >& make.txt
> >>>
> >>> Make fails with the following error:
> >>> Comparing stages 2 and 3
> >>> warning: ./cc1-checksum.o differs
> >>> warning: ./libgcc/_chkstk.o differs
> >>> Bootstrap comparison failure!
> >>> ./ada/exp_aggr.o differs
> >>> make[2]: *** [compare] Error 1
> >>> make[2]: Leaving directory `/tmp/gcc-4.2.4-build'
> >>> make[1]: *** [stage3-bubble] Error 2
> >>> make[1]: Leaving directory `/tmp/gcc-4.2.4-build'
> >>> make: *** [all] Error 2
> > 
> > Confirmed. I am now trying alternate build options and toolchains.
> 
> There's a change in exp_aggr.adb in gcc-4.2.4/gcc/ada/ChangeLog:

I have a preliminary 4.2.4 built with out removing the patch.

I iteratively building gcc versions one after another. If anyone would like to
play with it, let me know it is a 33MB tgz. I am using it right now to build it
self and will use the result in to run the "proper" build, at which time I will
run the testsuite.

> 
> 2006-02-13  Ed Schonberg  <[email-masked]>
> 
>         * exp_aggr.adb (Build_Array_Aggr_Code): Rename variable
>         "Others_Mbox_Present" to "Others_Box_Present" because the mbox
> 	concept does not exist in the Ada RM.
>         (Compatible_Int_Bounds): Determine whether two 
> integer range bounds
>         are of equal length and have the same start and end values.
>         (Is_Int_Range_Bounds): Determine whether a node is an 
> integer range.
>         (Build_Record_Aggr_Code): Perform proper sliding of a 
> nested array
>         aggregate when it is part of an object declaration.
>         (Build_Record_Aggr_Code)  If the aggregate ttype is a 
> derived type
> 	that constrains discriminants of its parent, add explicitly the
> 	discriminant constraints of the ancestor by retrieving 
> them from the
>         stored_constraint of the parent.
> 
> That should match up to gcc-4.0.3  (2006-03-10) or there 
> abouts.  It would appear to be a tool chain incompatibility 
> with the source.
> 
> For grins I got the 2008 gnat i686 gnat from 
> libre2.adacore.com and tried to
>  build the ada from 4.2.4.   The first thing I ran into with make
> languages=ada was a bad casing for Standard_ASCII NUL in 
> ali.adb, resulting in an error.  The 2008 release is I 
> believe 4.1.3 based which doesn't show up in the gcc release 
> directory on gnu.org.  It's doing a style check on 
> Standard_ASCII, something that was shown as a patch into the 
> gcc tree around 20 May 2008, coincidentally  the day after 
> 4.2.4 was released.  The same patch appears to have 
> introduced style checking for it, too.
> 

--
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-                                                               -
- Jason Pyeron                      PD Inc. http://www.pdinc.us -
- Principal Consultant              10 West 24th Street #100    -
- +1 (443) 269-1555 x333            Baltimore, Maryland 21218   -
-                                                               -
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
This message is copyright PD Inc, subject to license 20080407P00.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/